## netkit-telnet-ssl 0.16.3

=== telnetd/Makefile ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 include ../MCONFIG
 include ../MRULES
-
-ifeq ($(USE_GLIBC),1)
-CFLAGS += -D_GNU_SOURCE
-endif
 
 # -DAUTHENTICATE
 
@@ -13,16 +9,23 @@
 # take out -DPARANOID_TTYS.
 
 CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
-	-DTERMCAP -DUSE_TERMIO -DKLUDGELINEMODE -DDIAGNOSTICS
-LIBS += $(LIBTERMCAP)
+	   -DNO_REVOKE -DKLUDGELINEMODE -DDIAGNOSTICS \
+	   -DLOGIN_WRAPPER=\"/usr/lib/telnetd/login\"
+# LIBS += $(LIBTERMCAP)
 
 OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
-	global.o authenc.o logwtmp.o logout.o setproctitle.o
+	global.o setproctitle.o
+
+# authenc.o (empty)
+
+# logout.o logwtmp.o (now from -lutil)
+
 
 telnetd: $(OBJS)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 $(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h setproctitle.h
+telnetd.o: ../version.h
 
 install: telnetd
 	install -s -m$(DAEMONMODE) telnetd $(INSTALLROOT)$(SBINDIR)/in.telnetd
