=== telnetd/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
 	   -DNO_REVOKE -DKLUDGELINEMODE -DDIAGNOSTICS \
-	   -DLOGIN_WRAPPER=\"/usr/lib/telnetd/login\"
+	   -DLOGIN_WRAPPER=\"/usr/lib/telnetlogin\"
 # LIBS += $(LIBTERMCAP)
 
 OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
@@ -21,7 +21,7 @@
 # logout.o logwtmp.o (now from -lutil)
 
 
-telnetd: $(OBJS)
+telnetd: $(OBJS) $(LIBTELNET)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 $(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h setproctitle.h
