## netkit-telnet-ssl 0.17.41%2Breally0.17

=== debian/changelog ===
netkit-telnet-ssl (0.17.41+really0.17-6) unstable; urgency=medium

  * QA upload.
  * Add telnet-server to telnetd-ssl Conflicts. (Closes: #1016859)
  * Wrap and sort debian/copyright fields.
  * Remove pristine-tar usage.
  * Fix typo in patch description.
  * Remove spelling-error-in-binary lintian-override that no longer matches.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Thu, 27 Mar 2025 23:01:26 +0100

netkit-telnet-ssl (0.17.41+really0.17-5) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Use wrap-and-sort -satb for debian control files
  * Trim trailing whitespace.
  * fix copyright block order

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 08 May 2024 15:03:49 +0200

netkit-telnet-ssl (0.17.41+really0.17-4) unstable; urgency=high

  * QA upload.

  [ Marcos Marado ]
  * Fix ring buffer overflow. (Closes: #659415)

 -- Bastian Germann <bage@debian.org>  Sat, 04 Mar 2023 22:36:56 +0100

netkit-telnet-ssl (0.17.41+really0.17-3) unstable; urgency=medium

  * QA upload.
  * Fix UTF8 characters handling. (Closes: #749322)

 -- Marcos Marado <mindboosternoori@gmail.com>  Tue, 14 Feb 2023 14:53:12 +0000

netkit-telnet-ssl (0.17.41+really0.17-2) unstable; urgency=medium

  * QA upload.
  * Revert dropping openssl from telnetd-ssl's Depends.
  * Replace obsolete egrep with grep in telnetd-ssl's postinst.

 -- Bastian Germann <bage@debian.org>  Wed, 14 Sep 2022 09:43:51 +0200

netkit-telnet-ssl (0.17.41+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Drop watch file (not scanning for upstream).
  * Drop the Debian menu file (deprecated).
  * Drop ssltelnet package remains.
  * Drop outdated (as of switch to 3.0 source) README.Debian.
  * Merge CMake patches to one.
  * d/copyright: Convert to the machine-readable format
    with debian/* info from netkit-telnet package.
  * Synchronize patch set with netkit-telnet package.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Sep 2022 19:23:52 +0200

netkit-telnet-ssl (0.17.41+0.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with cmake 3.18.
  * debian/openssl.cnf: default_bits 1024 -> 4096
    Thanks to Marcos Marado.(Closes: #920371)
  * Remove the alternative build dependency on libssl1.0-dev.
    (Closes: #917349)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 15:19:51 +0200

netkit-telnet-ssl (0.17.41+0.2-3.2) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake to build the package. Closes: #912132

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:38:52 +0100

netkit-telnet-ssl (0.17.41+0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace sg usage with getent group in postinst (Closes: #904048)
    - note that there's still much room for related improvements, like
      not removing users and groups in postrm (see discussion linked
      from #228692) and not removing group created by another package,
      maybe even use the same group for both netkit-telnet* packages
      to simplify maintscripts if possible.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 16:14:32 +0200

netkit-telnet-ssl (0.17.41+0.2-3) unstable; urgency=low

  * Adapt to libssl of recent version.
    + debian/patches/630-recent_libssl.diff: New file.
    + debian/control: Reverse order between libssl-dev and libssl1.0-dev,
      remove versioning of libssl-dev.
  * Substantially improve certificate handling and diagnostics to achieve
    full verification ability.
    + debian/patches/650-improve_abilities.diff: New file.
  * debian/rules: Set the macro SSL_LOG_FILE to '/var/tmp/telnetd.log'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 22 Jan 2017 00:40:10 +0100

netkit-telnet-ssl (0.17.41+0.2-2) unstable; urgency=low

  * Allow version of libssl-dev older than 1.1.0.
    + debian/control: Update build dependency.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 Dec 2016 17:45:45 +0100

netkit-telnet-ssl (0.17.41+0.2-1) unstable; urgency=medium

  * Update to source version 0.17-41 of netkit-telnet.
  * Depend on libssl1.0-dev for buildability. Closes: #828448
  * Fix CN in generated certificate when reported domain name is empty.
    + debian/telnetd.postinst: Updated.
  * Make source package account for dead upstream source, not binaries.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 28 Nov 2016 19:51:18 +0100

netkit-telnet (0.17-41) unstable; urgency=low

  * Declare Standards version as 3.9.8, no changes.
  * Rework cross-compilation mechanism, suggested by Helmut Grohne.
    Closes: #835977
    + debian/patches/150-cross_configuration.diff: New file.
    + debian/rules: Drop CROSS, prefer CC and CXX with host type prefix.
  * debian/rules: Increase hardening level.
  * debian/telnet.lintian-overrides: New name of old file.
    Add overrides concerning `wont'.
  * debian/telnetd.lintian-overrides: Add `wont' clauses.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 07 Nov 2016 19:06:40 +0100

netkit-telnet-ssl (0.17.40+0.2-2) unstable; urgency=low

  * Upgrade to Standards 3.9.7, no changes.
  * [piuparts, telnetd-ssl] Remove a newly created random-seed file.
    + debian/telnetd.postinst: Updated.
  * [lintian] Add overrides for protocol compliant spelling 'wont'.
    + debian/telnet-ssl.lintian-overrides: Updated.
    + debian/telnetd-ssl.lintian-overrides: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 29 Feb 2016 19:28:52 +0100
