## netkit-telnet-ssl 0.17.41+0.2

=== debian/changelog ===
netkit-telnet-ssl (0.17.41+0.2-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:41 +0000
