=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: netkit-telnet-ssl
 Section: net
 Priority: extra
-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
 Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libncurses-dev, libssl-dev (>= 0.9.8g-9)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), libncurses-dev, libssl-dev | libssl1.0-dev
 
 Package: telnet-ssl
 Architecture: any
