=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,20 @@
 
 LDDEFS := -Wl,-z,defs -Wl,--as-needed
 
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
-CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
+CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS) -fPIE -pie
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS) -DSSL_LOG_FILE=\\"/var/tmp/telnetd.log\\"
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	CROSS :=
-else
-	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+ifeq ($(origin CC),default)
+	CC = $(DEB_HOST_GNU_TYPE)-gcc
 endif
+export CC
+ifeq ($(origin CXX),default)
+	CXX = $(DEB_HOST_GNU_TYPE)-g++
+endif
+export CXX
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIGUREARGS=--with-debug
@@ -40,7 +42,7 @@
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 	fi
-	$(MAKE) $(CROSS)
+	$(MAKE)
 
 	touch build-stamp
