## netkit-telnet-ssl 0.17.41+really0.17

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # You can do "make SUB=blah" to make only a few, or edit here, or both
 # You can also run make directly in the subdirs you want.
 
-SUB =   telnet telnetd telnetlogin
+SUB =   telnet telnetd
+# not yet: telnetlogin
 
 %.build:
 	(cd $(patsubst %.build, %, $@) && $(MAKE))
