=== debian/changelog ===
netkit-telnet-ssl (0.17.41+really0.17-7) unstable; urgency=medium

  * QA upload.

  [ Santiago Vila ]
  * Refresh all patches to remove fuzzyness.
  * Use https in Bug-Debian fields.
  * Build using C17 standard with GNU extensions. Closes: #1097451.
  * Drop "Rules-Requires-Root: no" (default).
  * Update source lintian overrides.
  * Update standards-version.

  [ Helmut Grohne ]
  * Do not link with -lcrypt. Closes: #1102458.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Oct 2025 12:40:00 +0200
