=== debian/control ===
Source: netkit-telnet-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libncurses-dev,
 libssl-dev,
Vcs-Git: https://salsa.debian.org/debian/netkit-telnet-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/netkit-telnet-ssl

Package: telnet-ssl
Architecture: any
Depends:
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 telnet-client,
Description: telnet client with SSL encryption support
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.
 .
 SSL telnet replaces normal telnet using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnet: Your passwords and the data you send
 will not go in cleartext over the line.

Package: telnetd-ssl
Architecture: any
Depends:
 adduser,
 openbsd-inetd | inet-superserver,
 openssl,
 passwd,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 telnet-server,
Conflicts:
 telnet-server,
 telnetd,
Description: telnet server with SSL encryption support
 The in.telnetd program is a server which supports the DARPA telnet interactive
 communication protocol.
 .
 SSL telnetd replaces normal telnetd using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnetd: Your passwords and the data you send
 will not go in cleartext over the line.
