=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE -std=gnu17
export DEB_CXXFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,-z,now

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	dh_missing --fail-missing
